v1 (Legacy)
View as MarkdownLegacy v1 endpoints, maintained for backward compatibility.
List abuse tickets
Query Parameters
The type of abuse.
"A_RECORD" | "CHILD_ABUSE" | "CONTENT" | "FRAUD_WIRE" | "IP_BLOCK" | "MALWARE" | "NETWORK_ABUSE" | "PHISHING" | "SPAM"Is this abuse ticket closed?
falseThe domain name or ip address the abuse originated from
host-name-or-ip-addressThe brand/company the abuse is targeting. ie: brand name/bank name
The earliest abuse ticket creation date to pull abuse tickets for
iso-datetimeThe latest abuse ticket creation date to pull abuse tickets for
iso-datetimeNumber of abuse ticket numbers to return.
100integer-positivevalue <= 100The earliest result set record number to pull abuse tickets for
0integer-positiveResponse Body
*/*
*/*
*/*
*/*
curl -X GET "https://api.godaddy.com/v1/abuse/tickets"{
"pagination": {
"first": "string",
"last": "string",
"next": "string",
"previous": "string",
"total": 0
},
"ticketIds": [
"string"
]
}{
"code": "string",
"fields": [
{
"code": "string",
"message": "string",
"path": "string",
"pathRelated": "string"
}
],
"message": "string",
"stack": [
"string"
]
}{
"code": "string",
"fields": [
{
"code": "string",
"message": "string",
"path": "string",
"pathRelated": "string"
}
],
"message": "string",
"stack": [
"string"
]
}{
"code": "string",
"fields": [
{
"code": "string",
"message": "string",
"path": "string",
"pathRelated": "string"
}
],
"message": "string",
"stack": [
"string"
]
}Create a new abuse ticket
Request Body
application/json
The endpoint which allows the Reporter to create a new abuse ticket
Response Body
*/*
*/*
*/*
*/*
curl -X POST "https://api.godaddy.com/v1/abuse/tickets" \ -H "Content-Type: application/json" \ -d '{ "source": "string" }'{
"u_number": "string"
}{
"code": "string",
"fields": [
{
"code": "string",
"message": "string",
"path": "string",
"pathRelated": "string"
}
],
"message": "string",
"stack": [
"string"
]
}{
"code": "string",
"fields": [
{
"code": "string",
"message": "string",
"path": "string",
"pathRelated": "string"
}
],
"message": "string",
"stack": [
"string"
]
}{
"code": "string",
"fields": [
{
"code": "string",
"message": "string",
"path": "string",
"pathRelated": "string"
}
],
"message": "string",
"stack": [
"string"
]
}Retrieve abuse ticket details
Path Parameters
A unique abuse ticket identifier
Response Body
*/*
*/*
*/*
*/*
curl -X GET "https://api.godaddy.com/v1/abuse/tickets/string"{
"closed": false,
"closedAt": "string",
"createdAt": "string",
"domainIp": "string",
"reporter": "string",
"source": "string",
"target": "string",
"ticketId": "string",
"type": "A_RECORD"
}{
"code": "string",
"fields": [
{
"code": "string",
"message": "string",
"path": "string",
"pathRelated": "string"
}
],
"message": "string",
"stack": [
"string"
]
}{
"code": "string",
"fields": [
{
"code": "string",
"message": "string",
"path": "string",
"pathRelated": "string"
}
],
"message": "string",
"stack": [
"string"
]
}{
"code": "string",
"fields": [
{
"code": "string",
"message": "string",
"path": "string",
"pathRelated": "string"
}
],
"message": "string",
"stack": [
"string"
]
}Last updated on
How is this guide?